diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 47e0448d2..c29583770 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -886,149 +864,120 @@ public class Minecraft
                 break;
         }
 
-        if(!appDir.exists() && !appDir.mkdirs())
-        {
+        if (!appDir.exists() && !appDir.mkdirs()) {
             throw new RuntimeException("The working directory could not be created: " + appDir);
-        }
-        else
-        {
+        } else {
             return appDir;
         }
     }
 
-    public static EnumOS getOs()
-    {
+    public static EnumOS getOs() {
         String s = System.getProperty("os.name").toLowerCase();
-        if(s.contains("win"))
-        {
+        if (s.contains("win")) {
             return EnumOS.windows;
-        }
-        else if(s.contains("mac"))
-        {
+        } else if (s.contains("mac")) {
             return EnumOS.macos;
-        }
-        else if(s.contains("solaris") || s.contains("sunos"))
-        {
+        } else if (s.contains("solaris") || s.contains("sunos")) {
             return EnumOS.solaris;
-        }
-        else if(s.contains("linux") || s.contains("unix"))
-        {
+        } else if (s.contains("linux") || s.contains("unix")) {
             return EnumOS.linux;
-        }
-        else
-        {
+        } else {
             return EnumOS.unknown;
         }
     }
 
-    public ISaveFormat getSaveFormat()
-    {
-        return saveFormat;
+    public ISaveFormat getSaveFormat() {
+        return this.saveFormat;
     }
 
     private Screen lastScreen;
-    public void displayScreen(@Nullable Screen screen)
-    {
+
+    public void displayScreen(@Nullable Screen screen) {
         // Big sir's mouse fix, clearly the legacy lwjgl dependency is fucked in some way, may we hopefully fully replace it one day
-        if (screen == null && lastScreen != null) {
+        if (screen == null && this.lastScreen != null) {
             Mouse.setGrabbed(false);
             Mouse.setGrabbed(true);
         }
-        lastScreen = screen;
+        this.lastScreen = screen;
 
-        if(currentScreen == null && screen != null)
-        {
-            if(controllerInput != null)
-            {
-                controllerInput.cursorX = resolution.getScaledWidthScreenCoords() / 2D;
-                controllerInput.cursorY = resolution.getScaledHeightScreenCoords() / 2D;
+        if (this.currentScreen == null && screen != null) {
+            if (this.controllerInput != null) {
+                this.controllerInput.cursorX = this.resolution.getScaledWidthScreenCoords() / 2D;
+                this.controllerInput.cursorY = this.resolution.getScaledHeightScreenCoords() / 2D;
             }
         }
-        if(currentScreen != null)
-        {
-            currentScreen.removed();
+        if (this.currentScreen != null) {
+            this.currentScreen.removed();
         }
-        if(screen instanceof ScreenMainMenu)
-        {
-            statsCounter.fetchStats();
+        if (screen instanceof ScreenMainMenu) {
+            this.statsCounter.fetchStats();
         }
-        if(statsCounter != null){
-            statsCounter.saveStats();
+        if (this.statsCounter != null) {
+            this.statsCounter.saveStats();
         }
-        if(screen == null && currentWorld == null)
-        {
+        if (screen == null && this.currentWorld == null) {
             screen = new ScreenMainMenu();
-        }
-        else if(screen == null && thePlayer.getHealth() <= 0)
-        {
+        } else if (screen == null && this.thePlayer.getHealth() <= 0) {
             screen = new ScreenGameOver();
         }
-        if(screen instanceof ScreenMainMenu)
-        {
-            hudIngame.clearChatMessages();
+        if (screen instanceof ScreenMainMenu) {
+            this.hudIngame.clearChatMessages();
         }
-        currentScreen = screen;
-        if(screen != null)
-        {
+        this.currentScreen = screen;
+        if (screen != null) {
             setIngameNotInFocus();
-            screen.opened(resolution.getScaledWidthScreenCoords(), resolution.getScaledHeightScreenCoords());
-            skipRenderWorld = false;
-        } else
-        {
+            screen.opened(this.resolution.getScaledWidthScreenCoords(), this.resolution.getScaledHeightScreenCoords());
+            this.skipRenderWorld = false;
+        } else {
             setIngameFocus();
         }
     }
 
-	public void shutdownMinecraftApplet() {
-		// This could be called very early if the game crashes, so everything could be null!
+    public void shutdownMinecraftApplet() {
+        // This could be called very early if the game crashes, so everything could be null!
         try {
-            if(gameSettings != null) {
-                gameSettings.saveOptions();
+            if (this.gameSettings != null) {
+                this.gameSettings.saveOptions();
             }
         } catch (Exception e) {
             LOGGER.error("Exception occurred while saving settings! Some settings may be lost!", e);
         }
-        if(statsCounter != null) {
-            statsCounter.fetchStats();
-            statsCounter.saveStats();
+        if (this.statsCounter != null) {
+            this.statsCounter.fetchStats();
+            this.statsCounter.saveStats();
         }
         LOGGER.info("Stopping!");
         try {
             changeWorld(null);
-        }catch (Throwable ignored) {
+        } catch (Throwable ignored) {
         }
         try {
             GLAllocation.deleteTexturesAndDisplayLists();
-        }catch (Throwable ignored) {
+        } catch (Throwable ignored) {
         }
-        if(sndManager != null) {
-            sndManager.destroy();
+        if (this.sndManager != null) {
+            this.sndManager.destroy();
         }
-        if (gameWindow != null) {
-            gameWindow.free();
+        if (this.gameWindow != null) {
+            this.gameWindow.free();
         }
         System.gc();
-		if(!hasCrashed) {
-			System.exit(0);
-		}
-	}
-
-    private void run()
-    {
-        running = true;
-        try
-        {
-            startGame();
+        if (!this.hasCrashed) {
+            System.exit(0);
         }
-        catch(Throwable e)
-        {
+    }
+
+    private void run() {
+        this.running = true;
+        try {
+            startGame();
+        } catch (Throwable e) {
             onMinecraftCrash(new UnexpectedThrowable("Failed to start game", e));
         }
-        try
-        {
+        try {
             long currentTime = System.currentTimeMillis();
             int fpsCounter = 0;
-            while (running) {
+            while (this.running) {
                 try {
                     Debug.reset();
                     Debug.push("update");    // 1
@@ -1038,38 +987,38 @@ public class Minecraft
                     Time.tick();
                     ObjectPool.resetAllPools();
 
-                    if (gameWindow.shouldClose()) shutdown();
-                    if (isGamePaused && currentWorld != null && !(currentScreen instanceof ScreenModelViewer)) {
-                        float temp = timer.partialTicks;
-                        timer.advanceTime();
-                        timer.partialTicks = temp;
+                    if (this.gameWindow.shouldClose()) shutdown();
+                    if (this.isGamePaused && this.currentWorld != null && !(this.currentScreen instanceof ScreenModelViewer)) {
+                        float temp = this.timer.partialTicks;
+                        this.timer.advanceTime();
+                        this.timer.partialTicks = temp;
                     } else {
-                        timer.advanceTime();
+                        this.timer.advanceTime();
                     }
-                    if (!doPartialTick) timer.partialTicks = 1f;
+                    if (!doPartialTick) this.timer.partialTicks = 1f;
 
-                    mouseInput.update();
-                    if (controllerInput != null && currentScreen != null) {
-                        controllerInput.moveCursor();
+                    this.mouseInput.update();
+                    if (this.controllerInput != null && this.currentScreen != null) {
+                        this.controllerInput.moveCursor();
                     }
 
                     Debug.pop();            // 2
                     Debug.change("tick");    // 1
-                    if (currentWorld instanceof WorldClientMP) {
-                        ((WorldClientMP) currentWorld).processPackets();
+                    if (this.currentWorld instanceof WorldClientMP) {
+                        ((WorldClientMP) this.currentWorld).processPackets();
                     }
 
                     if (this.currentScreen instanceof ScreenSelectServer) {
                         this.currentScreen.tick();
                     }
 
-                    for (int tick = 0; tick < timer.frames; tick++) {
-                        ticksRan++;
+                    for (int tick = 0; tick < this.timer.frames; tick++) {
+                        this.ticksRan++;
                         try {
                             runTick();
                             continue;
                         } catch (MinecraftException e) {
-                            currentWorld = null;
+                            this.currentWorld = null;
                             LOGGER.error("MinecraftException occurred while attempting to run tick, exiting world!", e);
                         }
                         changeWorld(null);
@@ -1080,15 +1029,15 @@ public class Minecraft
                     Debug.push("misc");        // 2
 
                     OpenGLHelper.checkError("pre render");
-                    BlockModelGrass.fancyGrass = gameSettings.fancyGraphics.value == 1;
-                    EntityItem.enableItemClumping = gameSettings.enableItemClumping.value;
-                    BlockLogicLeavesBase.enableTreeShadowing = gameSettings.treeShadows.value;
-                    sndManager.updateListener(thePlayer, timer.partialTicks);
+                    BlockModelGrass.fancyGrass = this.gameSettings.fancyGraphics.value == 1;
+                    EntityItem.enableItemClumping = this.gameSettings.enableItemClumping.value;
+                    BlockLogicLeavesBase.enableTreeShadowing = this.gameSettings.treeShadows.value;
+                    this.sndManager.updateListener(this.thePlayer, this.timer.partialTicks);
                     glEnable(GL_TEXTURE_2D);
-                    if (currentWorld != null) {
+                    if (this.currentWorld != null) {
                         Debug.change("updatelight");
                         try {
-                            currentWorld.updatingLighting();
+                            this.currentWorld.updatingLighting();
                         } catch (Throwable t) {
                             LOGGER.error("Unhandled exception when updating lighting!", t);
                         }
@@ -1098,104 +1047,104 @@ public class Minecraft
 
                     Debug.change("misc"); // 2
 
-                    if (thePlayer != null && thePlayer.isInWall()) {
-                        gameSettings.thirdPersonView.value = 0;
+                    if (this.thePlayer != null && this.thePlayer.isInWall()) {
+                        this.gameSettings.thirdPersonView.value = 0;
                     }
 
                     Debug.change("displayupdate"); // 2
-                    gameWindow.update();
+                    this.gameWindow.update();
 
                     Debug.change("render"); // 2
                     Debug.push("post"); // 3
 
-                    renderer.beginRenderGame(timer.partialTicks);
+                    this.renderer.beginRenderGame(this.timer.partialTicks);
                     glEnable(GL_ALPHA_TEST);
 
                     Debug.change("misc");  // 3
-                    if (!skipRenderWorld) {
-                        if (playerController != null) {
-                            playerController.render(timer.partialTicks);
+                    if (!this.skipRenderWorld) {
+                        if (this.playerController != null) {
+                            this.playerController.render(this.timer.partialTicks);
                         }
-                        worldRenderer.updateCameraAndRender(timer.partialTicks);
+                        this.worldRenderer.updateCameraAndRender(this.timer.partialTicks);
                     }
 
-                    if (gameSettings.pauseOnLostFocus.value) {
-                        if (!gameWindow.isFocused()) {
-                            if (System.currentTimeMillis() > lastFocusTime + 250) {
+                    if (this.gameSettings.pauseOnLostFocus.value) {
+                        if (!this.gameWindow.isFocused()) {
+                            if (System.currentTimeMillis() > this.lastFocusTime + 250) {
                                 displayInGameMenu();
                             }
                         } else {
-                            lastFocusTime = System.currentTimeMillis();
+                            this.lastFocusTime = System.currentTimeMillis();
                         }
                     }
-                    sndManager.setMuted(gameSettings.muteOnLostFocus.value && !gameWindow.isFocused());
+                    this.sndManager.setMuted(this.gameSettings.muteOnLostFocus.value && !this.gameWindow.isFocused());
 
-                    switch (downloadResourcesThread.downloading) {
+                    switch (this.downloadResourcesThread.downloading) {
                         case DOWNLOADING: {
                             double b = Math.sin((System.currentTimeMillis() / 1000.0) * 4);
                             b = b * 0.2 + 0.8;
                             int ib = (int) Math.round(b * 255);
                             int color = 0xFF000000 | (ib << 16) | (ib << 8) | (ib);
 
-                            int barColor = Color.doubleToIntARGB(1, 0.5 * b, 1.0 * b, 0.5 * b);
+                            int barColor = Color.doubleToIntARGB(1, 0.5 * b, b, 0.5 * b);
 
-                            int sWidth = font.stringWidth(I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.2"));
+                            int sWidth = this.font.stringWidth(I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.2"));
 
-                            double progress = (double) downloadResourcesThread.downloadProgress.get() / downloadResourcesThread.toDownload;
+                            double progress = (double) this.downloadResourcesThread.downloadProgress.get() / this.downloadResourcesThread.toDownload;
 
-                            int minX = (resolution.getScaledWidthScreenCoords() - sWidth) / 2;
-                            int maxX = (resolution.getScaledWidthScreenCoords() + sWidth) / 2 + 1;
+                            int minX = (this.resolution.getScaledWidthScreenCoords() - sWidth) / 2;
+                            int maxX = (this.resolution.getScaledWidthScreenCoords() + sWidth) / 2 + 1;
 
-                            guiToasts.drawRect(minX - 1, 6, maxX + 1, 38, 0xA0000000);
-                            guiToasts.drawStringCenteredShadow(
-                                font, I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.1"),
-                                resolution.getScaledWidthScreenCoords() / 2, 7, color);
-                            guiToasts.drawRectDouble(minX, 16, minX + sWidth * progress, 28, barColor);
-                            guiToasts.drawBox(minX, 16, maxX, 28, color, 1);
-                            guiToasts.drawStringCenteredShadow(font, String.format("%d / %d", downloadResourcesThread.downloadProgress.get(), downloadResourcesThread.toDownload), resolution.getScaledWidthScreenCoords() / 2, 18, color);
-                            guiToasts.drawStringCenteredShadow(font, I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.2"), resolution.getScaledWidthScreenCoords() / 2, 29, color);
+                            this.guiToasts.drawRect(minX - 1, 6, maxX + 1, 38, 0xA0000000);
+                            this.guiToasts.drawStringCenteredShadow(
+                                this.font, I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.1"),
+                                this.resolution.getScaledWidthScreenCoords() / 2, 7, color);
+                            this.guiToasts.drawRectDouble(minX, 16, minX + sWidth * progress, 28, barColor);
+                            this.guiToasts.drawBox(minX, 16, maxX, 28, color, 1);
+                            this.guiToasts.drawStringCenteredShadow(this.font, String.format("%d / %d", this.downloadResourcesThread.downloadProgress.get(), this.downloadResourcesThread.toDownload), this.resolution.getScaledWidthScreenCoords() / 2, 18, color);
+                            this.guiToasts.drawStringCenteredShadow(this.font, I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.2"), this.resolution.getScaledWidthScreenCoords() / 2, 29, color);
                             break;
                         }
                         case ERROR: {
-                            long timePassedSinceError = System.currentTimeMillis() - downloadResourcesThread.timeOfError;
+                            long timePassedSinceError = System.currentTimeMillis() - this.downloadResourcesThread.timeOfError;
                             if (timePassedSinceError >= 35 * 1000) {
                                 break;
                             }
-                            int sWidth = font.stringWidth(I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.connection.error"));
+                            int sWidth = this.font.stringWidth(I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.connection.error"));
 
-                            int minX = (resolution.getScaledWidthScreenCoords() - sWidth) / 2;
-                            int maxX = (resolution.getScaledWidthScreenCoords() + sWidth) / 2;
+                            int minX = (this.resolution.getScaledWidthScreenCoords() - sWidth) / 2;
+                            int maxX = (this.resolution.getScaledWidthScreenCoords() + sWidth) / 2;
 
-                            guiToasts.drawRect(minX - 2, 5, maxX + 2, 17, 0xA0000000);
-                            guiToasts.drawStringCenteredShadow(
-                                font, I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.connection.error"),
-                                resolution.getScaledWidthScreenCoords() / 2, 7, 0xFFFF0000);
+                            this.guiToasts.drawRect(minX - 2, 5, maxX + 2, 17, 0xA0000000);
+                            this.guiToasts.drawStringCenteredShadow(
+                                this.font, I18n.getInstance().translateKey("gui.main_menu.label.downloading_resources.connection.error"),
+                                this.resolution.getScaledWidthScreenCoords() / 2, 7, 0xFFFF0000);
                             break;
                         }
                     }
 
                     Debug.change("post");  // 3
-                    renderer.endRenderGame(timer.partialTicks);
+                    this.renderer.endRenderGame(this.timer.partialTicks);
 
                     Debug.pop();    // 3
 
 
                     Debug.change("misc");
 
-                    if (gameWindow.wasResized()) {
+                    if (this.gameWindow.wasResized()) {
                         resize();
                     }
                     OpenGLHelper.checkError("post render");
                     fpsCounter++;
-                    isGamePaused = !isMultiplayerWorld() && currentScreen != null && currentScreen.isPauseScreen();
+                    this.isGamePaused = !isMultiplayerWorld() && this.currentScreen != null && this.currentScreen.isPauseScreen();
                     while (System.currentTimeMillis() >= currentTime + 1000L) {
-                        lineDebug = fpsCounter + " fps, " + ChunkRenderer.updates + " chunk updates";
-                        lingDebugFPS = fpsCounter + " fps";
+                        this.lineDebug = fpsCounter + " fps, " + ChunkRenderer.updates + " chunk updates";
+                        this.lingDebugFPS = fpsCounter + " fps";
                         ChunkRenderer.updates = 0;
                         currentTime += 1000L;
                         fpsCounter = 0;
                     }
-                    if (currentWorld == null) {
+                    if (this.currentWorld == null) {
                         long now = System.currentTimeMillis();
                         // Limit FPS in menu
                         long sleepTime = (1000 / 60 - (now - tickStartTime)) - 1;
@@ -1204,8 +1153,8 @@ public class Minecraft
                             while (currentSleep < sleepTime - 1) {
                                 Thread.sleep(1L);
                                 currentSleep += 1L;
-                                if (currentWorld instanceof WorldClientMP) {
-                                    ((WorldClientMP) currentWorld).processPackets();
+                                if (this.currentWorld instanceof WorldClientMP) {
+                                    ((WorldClientMP) this.currentWorld).processPackets();
                                 }
 
                                 if (this.currentScreen instanceof ScreenSelectServer) {
@@ -1217,13 +1166,13 @@ public class Minecraft
 
                     Debug.pop();    // 2
                     Debug.pop();    // 1
-                    if (gameSettings.showFrameTimes.value) {
-                        DebugRender.render(font);
+                    if (this.gameSettings.showFrameTimes.value) {
+                        DebugRender.render(this.font);
                     }
 
                     screenshotListener();
                 } catch (MinecraftException minecraftexception) {
-                    currentWorld = null;
+                    this.currentWorld = null;
                     changeWorld(null);
                     displayScreen(new ScreenConflictWarning());
                 } catch (OutOfMemoryError outofmemoryerror) {
@@ -1231,7 +1180,7 @@ public class Minecraft
                     displayScreen(new ScreenOutOfMemory());
                     System.gc();
                 } catch (Throwable throwable) {
-                    if (currentWorld != null) {
+                    if (this.currentWorld != null) {
                         try {
                             changeWorld(null);
                         } catch (Throwable t) {
